tasty-discover-4.2.1: Test discovery for the tasty framework.

Safe Haskell | None
Language | Haskell2010

Test.Tasty.Discover

Contents

- Main Test Generator
- For Testing Purposes Only

Description

Automatic test discovery and runner for the tasty framework.

Synopsis

- generateTestDriver :: Config -> String -> [String] -> FilePath -> [Test] -> String
- newtype ModuleTree = ModuleTree (Map String (ModuleTree, [String]))
- findTests :: FilePath -> Config -> IO [Test]
- mkModuleTree :: [Test] -> [String] -> ModuleTree
- showTests :: Config -> [Test] -> [String] -> [String]

# Main Test Generator

generateTestDriver :: Config -> String -> [String] -> FilePath -> [Test] -> String Source #

Main function generator, along with all the boilerplate which which will run the discovered tests.

# For Testing Purposes Only

newtype ModuleTree Source #

Constructors

ModuleTree (Map String (ModuleTree, [String])) |

#### Instances

Instances details

Eq ModuleTree Source # |
Instance details Defined in Test.Tasty.Discover Methods (==) :: ModuleTree -> ModuleTree -> Bool Source # (/=) :: ModuleTree -> ModuleTree -> Bool Source #
Show ModuleTree Source # |
Instance details Defined in Test.Tasty.Discover Methods showsPrec :: Int -> ModuleTree -> ShowS Source # show :: ModuleTree -> String Source # showList :: [ModuleTree] -> ShowS Source #

findTests :: FilePath -> Config -> IO [Test] Source #

Discover the tests modules.

mkModuleTree :: [Test] -> [String] -> ModuleTree Source #

showTests :: Config -> [Test] -> [String] -> [String] Source #

Show the tests.